Bug 962096 - SELinux is preventing /usr/bin/boinc_client from 'getattr' accesses on the chr_file /dev/input/mice.
SELinux is preventing /usr/bin/boinc_client from 'getattr' accesses on the ch...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:d9c452ba604021b7700778f6075...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-11 14:15 EDT by rekaeuqs1
Modified: 2013-05-21 04:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.11.1-95.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-21 04:39:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rekaeuqs1 2013-05-11 14:15:35 EDT
Description of problem:
SELinux is preventing /usr/bin/boinc_client from 'getattr' accesses on the chr_file /dev/input/mice.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that boinc_client should be allowed getattr access on the mice chr_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep boinc_client /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:boinc_t:s0
Target Context                system_u:object_r:mouse_device_t:s0
Target Objects                /dev/input/mice [ chr_file ]
Source                        boinc_client
Source Path                   /usr/bin/boinc_client
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           boinc-client-7.0.65-1.git79b00ef.fc18.i686
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-94.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.8.11-200.fc18.i686 #1 SMP Wed
                              May 1 20:39:37 UTC 2013 i686 i686
Alert Count                   13
First Seen                    2013-05-11 14:12:00 EDT
Last Seen                     2013-05-11 14:13:40 EDT
Local ID                      ac4eb462-2b56-41e3-b55b-289084e403d2

Raw Audit Messages
type=AVC msg=audit(1368296020.410:351): avc:  denied  { getattr } for  pid=927 comm="boinc_client" path="/dev/input/mice" dev="devtmpfs" ino=1270 scontext=system_u:system_r:boinc_t:s0 tcontext=system_u:object_r:mouse_device_t:s0 tclass=chr_file


type=SYSCALL msg=audit(1368296020.410:351): arch=i386 syscall=stat64 success=no exit=EACCES a0=80f5941 a1=bfa2f000 a2=4717a000 a3=0 items=0 ppid=924 pid=927 auid=4294967295 uid=992 gid=989 euid=992 suid=992 fsuid=992 egid=989 sgid=989 fsgid=989 ses=4294967295 tty=(none) comm=boinc_client exe=/usr/bin/boinc_client subj=system_u:system_r:boinc_t:s0 key=(null)

Hash: boinc_client,boinc_t,mouse_device_t,chr_file,getattr

audit2allow

#============= boinc_t ==============
allow boinc_t mouse_device_t:chr_file getattr;

audit2allow -R
require {
	type boinc_t;
}

#============= boinc_t ==============
dev_getattr_mouse_dev(boinc_t)


Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.8.11-200.fc18.i686
type:           libreport
Comment 1 Miroslav Grepl 2013-05-13 04:17:44 EDT
commit 12e5e9cd7de6d3ed97449e313b6a844165067fd4
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Mon May 13 10:17:02 2013 +0200

    Allow boicn-client to stat on /dev/input/mice
Comment 2 Fedora Update System 2013-05-17 06:59:50 EDT
selinux-policy-3.11.1-95.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-95.fc18
Comment 3 Fedora Update System 2013-05-18 22:43:21 EDT
Package selinux-policy-3.11.1-95.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-95.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8591/selinux-policy-3.11.1-95.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-05-21 04:39:22 EDT
selinux-policy-3.11.1-95.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.